Skip to content

upsertMaintenanceSchedule

WRITE

Upsert maintenance schedule.

POST /api/v1/resources/upsertMaintenanceSchedule
curl -X POST '<your-host>/api/v1/resources/upsertMaintenanceSchedule' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "string",
    "workCenterId": "string",
    "locationId": "string",
    "frequency": "Daily",
    "priority": "Low",
    "_operation": "create"
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType

Required. 'create' inserts a new record, 'update' modifies the existing record with this id.

"create""update"
"Daily""Weekly""Monthly""Quarterly""Annual"
min length 1
min length 1
"Low""Medium""High""Critical"
min length 1

Input schema

schema
{
  "type": "object",
  "properties": {
    "name": {
      "type": "string",
      "minLength": 1
    },
    "description": {
      "type": "string"
    },
    "workCenterId": {
      "type": "string",
      "minLength": 1
    },
    "locationId": {
      "type": "string",
      "minLength": 1
    },
    "frequency": {
      "type": "string",
      "enum": [
        "Daily",
        "Weekly",
        "Monthly",
        "Quarterly",
        "Annual"
      ]
    },
    "priority": {
      "type": "string",
      "enum": [
        "Low",
        "Medium",
        "High",
        "Critical"
      ]
    },
    "estimatedDuration": {
      "type": "number"
    },
    "takesWorkCenterOffline": {
      "type": "boolean"
    },
    "nextDueAt": {
      "type": "string"
    },
    "active": {
      "type": "boolean"
    },
    "monday": {
      "type": "boolean"
    },
    "tuesday": {
      "type": "boolean"
    },
    "wednesday": {
      "type": "boolean"
    },
    "thursday": {
      "type": "boolean"
    },
    "friday": {
      "type": "boolean"
    },
    "saturday": {
      "type": "boolean"
    },
    "sunday": {
      "type": "boolean"
    },
    "skipHolidays": {
      "type": "boolean"
    },
    "id": {
      "type": "string"
    },
    "_operation": {
      "type": "string",
      "enum": [
        "create",
        "update"
      ],
      "description": "Required. 'create' inserts a new record, 'update' modifies the existing record with this id."
    }
  },
  "required": [
    "name",
    "workCenterId",
    "locationId",
    "frequency",
    "priority",
    "_operation"
  ]
}